apiVersion: apps/v1
kind: Deployment
metadata:
  name: gateway
  namespace: staging
spec:
  replicas: 3
  selector:
    matchLabels:
      app: gateway
  template:
    metadata:
      labels:
        app: gateway
    spec:
      containers:
      - name: gateway
        image: $DOCKERHUB_USERNAME/gitlab_devops_exam:gateway
        ports:
        - containerPort: 8000
